.pm-content {
    width: 100%;
    margin-left: 300px
}

.pm-list {
    margin-bottom: 30px;
}

.pm-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 25px;
    margin: 10px;
    border-radius: 10px;
    animation: forwards fadeIn 1s;
    opacity: 0;
    background-color: white;
    border: solid 1px #e6e6e6;
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.03), 0px 3px 6px rgba(0, 0, 0, 0.02);
    cursor: pointer;
}

.pm-item:hover {
    border: 1px solid #5469d4;
}

.pm_selected {
    background-color: #778eff;
    color: white;
}

.pm-item input[type="radio"] {
    appearance: none;
}

.pm-new {
    justify-content: flex-start;
    align-items: center;
}


.pm-item-card {
    margin-right: 10px;
}

.pm-item-brand {
    width: 115px;
}

.pm-item-number {
    width: 140px;
}

.btndpm {
    padding: 5px;
    border-radius: 5px;
    text-decoration: none;
    /*color: white;*/
    border: 1px solid #cccccc70;
}

.btndpm:hover {
    color: white;
    background-color: #ff9114;
}

.hidden {
    visibility: hidden !important;
    opacity: 0 !important;
    transition: all 0.5s;
}

#stripeform {
    padding: clamp(5px, 5%, 50px);
    background-color: white;
    /*box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.03), 0px 3px 6px rgba(0, 0, 0, 0.02);*/
    transition: all 0.5s;
}
/*.StripeElement{

}*/
.spinner-load {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    width: 100%;
    height: 50%;
    margin-top: 150px;
    transition: 0.1s ease;
    top: 0;
}

.spinnerLoader {
    border: 4px solid rgba(0, 0, 0, 0.1);
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border-top-color: #09f;
    animation: spin 1s linear infinite;
}

.visibility-hide {
    opacity: 0;
    transition: opacity 1s ease;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
.btndiv {
    margin: 20px 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.btndpm {
    position: relative;
    font-family: Arial, sans-serif;
    color: #ffffff;
    border-radius: 4px;
    border: 0;
    padding: 12px 16px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 0.2s ease;
    box-shadow: 0px 4px 5.5px 0px rgba(0, 0, 0, 0.07);
    width: 150px;
}
.btndpm div{
    margin-right: 10px;
}
.icon-white {
    position: absolute;
    right: 15px;
    width: 18px;
    rotate: 180deg;
}
.icon-white2 {
    position: absolute;
    right: 15px;
    width: 18px;
}
.color1{
    background: #54d487;
}
.color2{
    background: #8754d4;
}
.btn-end{
    display: flex;
    width: 400px;
    justify-content: space-between;
}

@keyframes fadeOut-body {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

@keyframes fadeIn-body {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeIn {
    from{
        top: -30px;
        opacity: 0;
    }
    to{
        top: 0;
        opacity: 1;
    }
}


.progresse-bar{
    display: flex;
    justify-content: space-between;
    width: 70%;
    position: relative;
}

.step{
    position: relative;
    text-align: center;
    width: 120px;
}

.bar-content{
    content: '';
    position: absolute;
    display: flex;
    width: calc(100% - 100px);
    margin-left: 50px;
    top: 14px;
    height: 6px;
    border: 4px solid #c6c6c9;
    border-radius: 15px;
    background: #9295a4;
}

.bar-progress{
    content: '';
    position: absolute;
    top: -4px;
    width: 0;
    height: 6px;
    border: 4px solid #b3bcef;
    border-radius: 15px;
    background: #5469d4;
    animation: progress-bar 2s forwards ease-out;
}
.bar-progress2{
    content: '';
    position: absolute;
    top: -4px;
    width: 0;
    height: 6px;
    border: 4px solid #b3bcef;
    border-radius: 15px;
    background: #5469d4;
    animation: progress-bar2 2s forwards ease-out;
}
.mini-check{
    width: 24px;
    transition: all 0.5s;
    opacity: 1;
}
.hide-img{
    visibility: hidden;
    transition: all 0.5s;
    position: absolute;
    opacity: 0;
}
.icon {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    margin: 0 auto 10px;
    border-radius: 50%;
    background-color: #fff;
    line-height: 30px;
    box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.03), 0px 3px 6px rgba(0, 0, 0, 0.02);
}
.last-icon{
    border: solid 1px  #7a7e7e;
}
.last .title{
    color: #7a7e7e;
}
.active-icon:before {
    z-index: -1;
    position: absolute;
    top: 20px;
    left: 20px;
    content: "";
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #c3cbd5;
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.2);
    animation: rounded 1.5s infinite;
    transform-origin: center; /* Ensures scaling occurs from the center */
}

.quoteText {
    padding-left: 40px;
}

@keyframes progress-bar {
    from{
        width: calc(33%);
    }
    to{
        width: calc(66%);
    }
}
@keyframes progress-bar2 {
    from{
        width: calc(66%);
    }
    to{
        width: calc(100%);
    }
}

@keyframes rounded {
    0%, 100% {
        width: 40px;
        height: 40px;
        transform: translate(-50%, -50%) scale(1); /* Scales down to original size from the center */
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.2);
    }
    50% {
        width: 40px;
        height: 40px;
        transform: translate(-50%, -50%) scale(1.5); /* Scales up from the center */
        box-shadow: 0 0 0 10px rgba(0, 0, 0, 0); /* Adjust shadow to match the growth if needed */
    }
}
@media only screen and (max-width: 1500px) {
    .progresse-bar{
        width: 90%;
    }
}
@media screen and (max-width: 800px) {
    .no-show-on-phone {
        display: none !important;
    }

    .quoteText {
        padding-left: 0;
        display: flex;
        justify-content: center;
    }
}

@media only screen and (max-width: 800px) {

    .btndpm{
        width: 120px;
    }
    .pm-item{
        padding: 5px;
        display: flex;
        flex-wrap: wrap;
        justify-content: flex-start;
    }
    .pm-item p {
       padding: 5px;
    }
    .payment-bar{
        padding: 10px 0;
    }

    .btn-end{
        display: flex;
        width: 320px;
        justify-content: space-between;
    }

}

@media only screen and (max-width: 460px) {

    .pm-item {
        display: flex;
        flex-wrap: nowrap;
    }

}

